OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000288OMNeT++IDE / NED editorpublic2011-05-02 14:012011-05-18 13:54
Reporterzbojthe 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2b1 
Target VersionFixed in Version 
Summary0000288: NPE in inner type display string content assist
DescriptionIn the text editor, we saw an NPE when we hit Ctrl+Space in a display string of an inner type, when "types:" was incorrectly placed between "parameters:" and "gates:".

Stack trace:
!ENTRY org.eclipse.ui 4 4 2011-05-02 14:55:12.294
!MESSAGE "Content Assist" did not complete normally. Please see the log for more information.

!ENTRY org.eclipse.ui 4 0 2011-05-02 14:55:12.295
!MESSAGE java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
    at org.omnetpp.ned.editor.text.assist.NedCompletionProcessor.computeCompletionProposals(NedCompletionProcessor.java:78)
    at org.eclipse.jface.text.contentassist.ContentAssistant.computeCompletionProposals(ContentAssistant.java:1834)
    at org.eclipse.jface.text.contentassist.CompletionProposalPopup.computeProposals(CompletionProposalPopup.java:556)
    at org.eclipse.jface.text.contentassist.CompletionProposalPopup.access$16(CompletionProposalPopup.java:553)
    at org.eclipse.jface.text.contentassist.CompletionProposalPopup$2.run(CompletionProposalPopup.java:488)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.jface.text.contentassist.CompletionProposalPopup.showProposals(CompletionProposalPopup.java:482)
    at org.eclipse.jface.text.contentassist.ContentAssistant.showPossibleCompletions(ContentAssistant.java:1660)
    at org.eclipse.jface.text.source.SourceViewer.doOperation(SourceViewer.java:919)
    at org.eclipse.jface.text.source.projection.ProjectionViewer.doOperation(ProjectionViewer.java:1534)
    at org.eclipse.ui.texteditor.TextOperationAction$1.run(TextOperationAction.java:131)
    at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
    at org.eclipse.ui.texteditor.TextOperationAction.run(TextOperationAction.java:129)
    at org.eclipse.jface.action.Action.runWithEvent(Action.java:498)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-05-02 14:01 zbojthe New Issue
2011-05-17 11:13 andras Assigned To => levy
2011-05-18 13:54 levy Status new => resolved
2011-05-18 13:54 levy Fixed in Version => 4.2b3
2011-05-18 13:54 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker